public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/tini/
Date: Mon, 25 Sep 2017 14:07:48 +0000 (UTC)	[thread overview]
Message-ID: <1506348448.58ef4c84963dc24fdd2db1e8ab2ecef85ed501fb.mrueg@gentoo> (raw)

commit:     58ef4c84963dc24fdd2db1e8ab2ecef85ed501fb
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 25 14:07:28 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Sep 25 14:07:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58ef4c84

sys-process/tini: Version bump to 0.16.1

Package-Manager: Portage-2.3.10, Repoman-2.3.3

 sys-process/tini/Manifest           |  1 +
 sys-process/tini/tini-0.16.1.ebuild | 42 +++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/sys-process/tini/Manifest b/sys-process/tini/Manifest
index 43028d409ed..b30859297d2 100644
--- a/sys-process/tini/Manifest
+++ b/sys-process/tini/Manifest
@@ -1,2 +1,3 @@
 DIST tini-0.13.2.tar.gz 27828 SHA256 85e18a4e4089612821321d1d67c16337797c3c78e81117dea56ad75ece20d05f SHA512 117822bf2e45b7cf732bfcd2aa5ea268a189c395f189c03d0e5dcd982872cff29d50adbb1a4d1b85859db4736e932900cfb64a1c487ba271a305146e9677a1d4 WHIRLPOOL f271b592e5524a2297b5a6b8fb88371a9068f01122e7ea95c4d797d2f5da91847b65675a7b5043398b8c9553746a00e4b5fe5ecfd8a1171d3bba87ee78de9a55
 DIST tini-0.15.0.tar.gz 29473 SHA256 3c0e0373c67006ac7e59ef6213e13729b53de5f414435c80133fa484174fda70 SHA512 774addddeb2bcefd1db2e4bff7c55bba6c3f4adc41e0b2a647059eef8cc5cc9d4a47b68cb4b89aa4e9e52b85916fe2680dad2a414c82b3c276beea89e3689481 WHIRLPOOL 94e39f36463344ae6587a407437c325138130bb83f38fa6e83a9d9d2b15dca4ff754fd862ec0e65eef1f6d3d11c3e75c37229da9bcca645221d6fc3c194c4fb1
+DIST tini-0.16.1.tar.gz 29641 SHA256 c2b7fe2fb92e71911d06b7571b53d4e7e8985b34efe2a599670b070b000c8dbe SHA512 aa0a802c403a07771a2b28a07b97fa2c93d40b5d5be2cba6556c8e7a92e608453010625d0236d26c27bdd2820aed3ad9ca676b70f7fcd5986d7f91eb928d053c WHIRLPOOL 98697f24e3c4ace3067943fd35f28b6243651478c407f3999e4152d58433a3c303a42ccc587717a76eec2aac10300176c2b1f360faf3a616180e2637cff661e7

diff --git a/sys-process/tini/tini-0.16.1.ebuild b/sys-process/tini/tini-0.16.1.ebuild
new file mode 100644
index 00000000000..bae9cb2b33c
--- /dev/null
+++ b/sys-process/tini/tini-0.16.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic
+
+DESCRIPTION="A tiny but valid init for containers"
+HOMEPAGE="https://github.com/krallin/tini"
+SRC_URI="https://github.com/krallin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+args +static"
+
+src_prepare() {
+	default
+	# Do not strip binary
+	sed -i -e 's/-Wl,-s")$/")/' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=()
+	use args || mycmakeargs+=(-DMINIMAL=ON)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	append-cflags -DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37
+	cmake-utils_src_compile
+}
+
+src_install() {
+	cmake-utils_src_install
+	if use static; then
+		mv "${ED%/}"/usr/bin/{${PN}-static,${PN}} || die
+	else
+		rm "${ED%/}"/usr/bin/${PN}-static || die
+	fi
+}


             reply	other threads:[~2017-09-25 14:07 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-25 14:07 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-18 10:37 [gentoo-commits] repo/gentoo:master commit in: sys-process/tini/ Sam James
2022-02-02  1:51 Sam James
2021-11-13  6:03 Sam James
2021-08-13  2:09 Yixun Lan
2021-06-15  2:06 Georgy Yakovlev
2021-06-15  2:06 Georgy Yakovlev
2021-06-11  1:00 Georgy Yakovlev
2021-05-16 12:45 Sam James
2021-04-28 16:44 Mikle Kolyada
2021-01-04 23:10 William Hubbs
2020-10-18  0:48 Georgy Yakovlev
2020-10-18  0:48 Georgy Yakovlev
2020-05-04 17:36 Thomas Deutschmann
2020-02-08 16:25 David Seifert
2020-01-17  8:52 Georgy Yakovlev
2019-11-23 11:08 Manuel Rüger
2019-04-16 17:20 Zac Medico
2019-04-16 17:18 Zac Medico
2018-12-11 10:11 Manuel Rüger
2018-07-26  7:32 Zac Medico
2018-07-26  5:45 Zac Medico
2018-06-04 19:25 Mart Raudsepp
2018-04-25  0:51 Manuel Rüger
2018-04-10  1:17 Manuel Rüger
2018-02-27 12:43 Manuel Rüger
2017-11-03 11:54 Manuel Rüger
2017-10-16  3:34 David Seifert
2017-09-10 10:59 Manuel Rüger
2017-07-05 11:24 Manuel Rüger
2017-04-22 18:53 William Hubbs
2017-04-21 19:01 William Hubbs
2017-04-21 17:52 William Hubbs
2017-04-20 22:29 Manuel Rüger
2017-04-05 10:21 Michael Weber
2017-01-03  3:09 Zac Medico
2017-01-03  2:59 Zac Medico
2016-11-14 23:12 Manuel Rüger
2016-11-14 17:49 Manuel Rüger
2016-11-14 17:43 Zac Medico
2016-11-03 19:43 Zac Medico
2016-10-13 17:18 Zac Medico
2016-10-13  1:53 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1506348448.58ef4c84963dc24fdd2db1e8ab2ecef85ed501fb.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox